Bug 25900 - nxclient взрывается при соединении
: nxclient взрывается при соединении
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/nxclient)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-07-12 20:33 by
Modified: 2011-09-10 10:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-07-12 20:33:17
nxclient-3.5.0.7-alt1 на текущем сизифе молча умирает с пустыми stdout/stderr
сразу после соединения с удалённым сервером.  Помог откат на
{nx,nxclient}-3.4.0.7-alt4.qa1 из t6/branch.

Что-нить может помочь отладке или и так воспроизводится?
------- Comment #1 From 2011-07-15 10:55:36 -------
неприятность какая...

лог вроде должен быть в ~/.nx
------- Comment #2 From 2011-07-27 11:15:26 -------
скорее всего это из-за изменения сборки nx
мне совсем некогда это проверить, к сожалению

виновник, вероятно,
http://git.altlinux.org/people/boris/packages/?p=nx.git;a=commitdiff;h=11ded880b57806f1d72203207449f61992657a1e

etersoft может что-нить скажет?

и еще. воспроизводится ли в такой комбинации:
новый nxclient, старый nx
там зависимости, но если с --force попробовать?

прояснить бы точно где проблема, в блобах или в nx
------- Comment #3 From 2011-08-02 20:37:29 -------
2mike: См. #25951, возможно рядом...
------- Comment #4 From 2011-09-07 12:58:58 -------
Собрали в Etersoft
nxclient-3.5.0.7-alt1 и nx-3.5.0-eter2, такой ошибки не наблюдается.
------- Comment #5 From 2011-09-09 18:32:23 -------
А чем nx-3.5.0-eter2 отличается от сизифного 3.5.0-alt1 и/или где взять?
------- Comment #6 From 2011-09-09 19:14:18 -------
(В ответ на комментарий №5)
> А чем nx-3.5.0-eter2 отличается от сизифного 3.5.0-alt1 и/или где взять?
На самом деле мержился я с сизифным от Бори.
ftp://ftp.etersoft.ru/pub/Etersoft/RX@Etersoft/unstable/ALTLinux/Sisyphus/nx-3.5.0-eter2.i586.rpm
------- Comment #7 From 2011-09-09 20:00:45 -------
Докладываю: nx-3.4.0-alt15 и nxclient-3.4.0.7-alt4.qa1 у меня работают
безупречно (проверены относительно freenx-server-0.7.4-alt18.6 из 5.1 и
freenx-server-0.7.4-eter5fedora.i586 на F10).

Спасибо!!
------- Comment #8 From 2011-09-10 09:34:13 -------
На сколько я понимаю бага была пор версию nxclient 3.5.0.7
При чем тут
(В ответ на комментарий №7)
> Докладываю: nx-3.4.0-alt15 и nxclient-3.4.0.7-alt4.qa1 у меня работают ?
------- Comment #9 From 2011-09-10 10:44:54 -------
Тьфу ты, не то скопипастил -- это спросил на всякий захолденые версии перед
тем, как обновлять-проверять ;-)

Вот с этими до сих пор никаких регрессий не наблюдаю:
nxclient-3.5.0.7-alt1
nx-3.5.0-alt1